ru.bitel.bgbilling.modules.cerbercrypt.common.service

## Interface PacketService

-     public interface PacketService

  Пакеты (и пакет-каналы) в админке. Модуль церберкрипт -> пакеты.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `deletePacket(int id)` Модуль церберкрипт -> пакеты.
    `void` | `deletePacketChannel(int id)` Модуль церберкрипт -> пакеты.
    `Packet` | `getPacket(int packetId)` Модуль церберкрипт -> пакеты.
    `PacketChannel` | `getPacketChannel(int id)`
    `java.util.List<PacketChannel>` | `packetChannelTable(int packetId)` Модуль церберкрипт -> пакеты.
    `java.util.List<Packet>` | `packetList(java.lang.Boolean isVirtualCinema)` Модуль церберкрипт -> пакеты.
    `void` | `packetOfferingList(int contractId, int userCardId, boolean virtualCinema, javax.xml.ws.Holder<java.util.List<Packet>> packetList, javax.xml.ws.Holder<MapHolder<java.lang.String,java.lang.Object>> params)` Получение предложений пакетов, которые можно активировать для данный карты договора.
    `int` | `updatePacket(Packet packet)` Модуль церберкрипт -> пакеты.
    `void` | `updatePacketChannel(PacketChannel packetChannel)` Модуль церберкрипт -> пакеты.

- - ### Method Detail

    - #### packetList

          java.util.List<Packet> packetList(java.lang.Boolean isVirtualCinema)
                                     throws ru.bitel.bgbilling.common.BGMessageException,
                                            ru.bitel.bgbilling.common.BGException

      Модуль церберкрипт -> пакеты.
      Parameters:
        `isVirtualCinema` - признак вирт синемы (если null то игнорируем фильтр).
      Returns:
        список.
      Throws:
        `ru.bitel.bgbilling.common.BGMessageException`
        `ru.bitel.bgbilling.common.BGException`

    - #### deletePacket

          void deletePacket(int id)
                     throws ru.bitel.bgbilling.common.BGMessageException,
                            ru.bitel.bgbilling.common.BGException

      Модуль церберкрипт -> пакеты.
      Parameters:
        `id` -
      Throws:
        `ru.bitel.bgbilling.common.BGMessageException`
        `ru.bitel.bgbilling.common.BGException`

    - #### updatePacket

          int updatePacket(Packet packet)
                    throws ru.bitel.bgbilling.common.BGMessageException,
                           ru.bitel.bgbilling.common.BGException

      Модуль церберкрипт -> пакеты.
      Parameters:
        `packet` -
      Returns:
        ид добавленного.
      Throws:
        `ru.bitel.bgbilling.common.BGMessageException`
        `ru.bitel.bgbilling.common.BGException`

    - #### deletePacketChannel

          void deletePacketChannel(int id)
                            throws ru.bitel.bgbilling.common.BGMessageException,
                                   ru.bitel.bgbilling.common.BGException

      Модуль церберкрипт -> пакеты. Привязка каналов.
      Parameters:
        `id` - ид пакетчанела.
      Throws:
        `ru.bitel.bgbilling.common.BGMessageException`
        `ru.bitel.bgbilling.common.BGException`

    - #### getPacketChannel

          PacketChannel getPacketChannel(int id)
                                  throws ru.bitel.bgbilling.common.BGMessageException,
                                         ru.bitel.bgbilling.common.BGException

      Parameters:
        `id` - ид пакетчанела.
      Returns:
        пакетчанел.
      Throws:
        `ru.bitel.bgbilling.common.BGMessageException`
        `ru.bitel.bgbilling.common.BGException`

    - #### updatePacketChannel

          void updatePacketChannel(PacketChannel packetChannel)
                            throws ru.bitel.bgbilling.common.BGMessageException,
                                   ru.bitel.bgbilling.common.BGException

      Модуль церберкрипт -> пакеты. Привязка каналов.
      Parameters:
        `pc` - пакетчанел.
      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`

    - #### getPacket

          Packet getPacket(int packetId)
                    throws ru.bitel.bgbilling.common.BGMessageException,
                           ru.bitel.bgbilling.common.BGException

      Модуль церберкрипт -> пакеты.
      Parameters:
        `packetId` - ид пакета.
      Returns:
        пакет.
      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`

    - #### packetChannelTable

          java.util.List<PacketChannel> packetChannelTable(int packetId)
                                                    throws ru.bitel.bgbilling.common.BGMessageException,
                                                           ru.bitel.bgbilling.common.BGException

      Модуль церберкрипт -> пакеты.
      Parameters:
        `packetId` - ид пакета.
      Returns:
        список пакетчанелов.
      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`

    - #### packetOfferingList

          void packetOfferingList(int contractId,
                                  int userCardId,
                                  boolean virtualCinema,
                                  javax.xml.ws.Holder<java.util.List<Packet>> packetList,
                                  javax.xml.ws.Holder<MapHolder<java.lang.String,java.lang.Object>> params)
                           throws ru.bitel.bgbilling.common.BGMessageException,
                                  ru.bitel.bgbilling.common.BGException

      Получение предложений пакетов, которые можно активировать для данный карты договора.
      Parameters:
        `contractId` - ID договора
        `userCardId` - ID карты договора
        `virtualCinema` -
        `packetList` - результат - список пакетов
        `params` - результат - параметры date_list_open, date_list_close
      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`